{% extends "base.html" %}
{% load static %}

{% block staticfiles %}

{% endblock %}

{% block header %}
<div class="navbar navbar-default navbar-static-top" role="navigation">
    <div class="container">
        <div class="navbar-header">
            <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            <a target="_blank" href="{% url 'mahasiswa:profile' %}" class="navbar-brand">Cansky</a>
        </div>
        <div class="collapse navbar-collapse">
            <ul class="nav navbar-nav navbar-right">
                <li class="dropdown">
                    <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                        <span class="glyphicon glyphicon-user"></span> 
                        <strong>{{user.first_name}}</strong>
                        <span class="glyphicon glyphicon-chevron-down"></span>
                    </a>
                    <ul class="dropdown-menu">
                        <li>
                            <div class="navbar-login">
                                <div class="row">
                                    <div class="col-lg-4">
                                        <p class="text-center">
                                            <span class="glyphicon glyphicon-user icon-size"></span>
                                        </p>
                                    </div>
                                    <div class="col-lg-8">
                                        <p class="text-left"><strong>{{user.first_name}}</strong></p>
                                        <p class="text-left small">{{kode_identitas}}</p>
                                        <p class="text-left">
                                        </p>
                                    </div>
                                </div>
                            </div>
                        </li>
                        <li class="divider"></li>
                        <li>
                            <div class="navbar-login navbar-login-session">
                                <div class="row">
                                    <div class="col-lg-12">
                                        <p>
                                            <a href="{% url 'mahasiswa:logout' %}" class="btn btn-danger btn-block" onclick="return confirm('Keluar?')">
                                                Logout </a>
                                        </p>
                                    </div>
                                </div>
                            </div>
                        </li>
                    </ul>
                </li>
            </ul>
        </div>
    </div>
</div>
{% endblock%}

{% block content %}
<div class="container">
  {% if user.first_name %}
  <div class="top">
    <h1>Selamat Datang</h1>
    <div class="button_section">
      <div class="profile-picture">
        <img class="cover" src="{{user.image_url}}" alt="3x4"/>
      </div>
        <a class="btn btn-warning forum">Lihat Forum</a>
        <a href="{% url 'mahasiswa:edit' %}" class="btn btn-primary edit">Edit Profile</a>
        <div class="jml_status">
          <h3>{{num_feeds}}</h3>
          <p>Jumlah Status</p>
        </div>
        <div class="new_status">
          {% if latest_post %}
            <h2> {{latest_post}} </h2>
          {% else %}
            <h4> Tidak ada status terbaru </h4>
          {% endif %}
        </div>
    </div>
  </div>
  {% else %}
  <div class="top">
    <h1>Selamat Datang</h1>
    <div class="button_section">
      <div class="profile-picture">
        <img class="cover" alt="3x4"/>
      </div>
        <a class="btn btn-warning forum">Lihat Forum</a>
        <a href="{% url 'mahasiswa:edit' %}" class="btn btn-primary edit">Edit Profile</a>
        <div class="jml_status">
          <h3>{{num_feeds}}</h3>
          <p>Jumlah Status</p>
        </div>
        <div class="new_status">
          {% if latest_post %}
            <h2> {{latest_post}} </h2>
          {% else %}
            <h4> Tidak ada status terbaru </h4>
          {% endif %}
        </div>
    </div>
  </div>
  {% endif %}
  <div class="content">
    <div>
        <!-- Nav tabs -->
        <ul class="nav nav-tabs nav-justified" role="tablist">
            <li role="presentation" class="active">
                <a href="#profile" aria-controls="home" role="tab" data-toggle="tab"> Profile </a>
            </li>
            <li role="presentation">
                <a href="#riwayat" aria-controls="settings" role="tab" data-toggle="tab"> Riwayat </a>
            </li>
            <li role="presentation">
                <a href="#status" aria-controls="settings" role="tab" data-toggle="tab"> Status </a>
            </li>
            <li role="presentation">
                <a href="#teman" aria-controls="settings" role="tab" data-toggle="tab"> Teman </a>
            </li>
        </ul>

        <!-- Tab panes -->
        <div class="tab-content">
            <div role="tabpanel" class="tab-pane fade in active" id="profile">
                {% include 'content/public_profile.html' %}
            </div>
            <div role="tabpanel" class="tab-pane fade" id="riwayat">
                {% include 'content/riwayat.html' %}
            </div>
            <div role="tabpanel" class="tab-pane fade" id="status">
                {% include 'content/public_status.html' %}
            </div>
            <div role="tabpanel" class="tab-pane fade" id="teman">
                {% include 'content/search_mahasiswa.html' %}
            </div>
        </div>
    </div>
  </div>
</div>
{% endblock %}
